Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.spi
Interface AuditConfigurationEvent

All Superinterfaces:
  AuditContext, AuditEvent

All Known Subinterfaces:
  AuditCreateConfigurationEvent, AuditDeleteConfigurationEvent, AuditInvokeConfigurationEvent, AuditSetAttributeConfigurationEvent

    public interface AuditConfigurationEvent

extends AuditEvent, AuditContext

The `AuditConfigurationEvent` interface is used to post configuration change audit events. This is the base interface that is extended by components in the WebLogic Security Framework to compose more specific configuration audit event types.

The WebLogic Management infrastructure implements this interface and may post configuration audit events for the following configuration change events:

- A request to create a new configuration artifact has been allowed or disallowed.
- A request to delete an existing configuration artifact has been allowed or disallowed.
- A request to modify an existing configuration artifact has been allowed or disallowed.
- A invoke an operation on an existing configuration artifact has been allowed or disallowed.

Method Summary
`String` | `getObjectName()` Get the ObjectName associated with this `AuditConfigurationEvent`.
`Subject` | `getSubject()` Get the subject associated with this `AuditConfigurationEvent`.

Methods inherited from interface weblogic.security.spi.AuditEvent
`getEventType, getFailureException, getSeverity, toString`

Methods inherited from interface weblogic.security.spi.AuditContext
`getContext`

Method Detail

### getSubject

    Subject getSubject()

  Get the subject associated with this `AuditConfigurationEvent`.

  Returns:
    the `Subject` object that is attempting to perform the configuration action associated with this `AuditConfigurationEvent`.

### getObjectName

    String getObjectName()

  Get the ObjectName associated with this `AuditConfigurationEvent`.

  Returns:
    the String representing the `ObjectName` of the MBean being accessed by the subject associated with this `AuditConfigurationEvent`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD